<?php
if(!defined('DB_CLASS')){
	define('DB_CLASS',1);
	class db{
		var $link;
		var $res;
		var $errors;
		function db(){
			if(!$this->link = @pg_connect("host=".SQL_SERVER." dbname=".SQL_DB." user=".SQL_USER." password=".SQL_PASSWORD){
				die('Connection to SQL server could not be established!');
			}
		}
		function send_sql($sql){
			if(!$this->res=@pg_query($sql)){
				$this->errors[] = $sql.pg_last_error();
				return false;
			} else {
				return true;
			}
		}
		function get_object($sql){
			if($this->send_sql($sql)){
				while($row=pg_fetch_object($this->res))
					$obj[] = $row;
				if(isset($obj))
					return ($obj);
				else
					return false;
			} else {
				return false;
			}
		}
		function get_single_object($sql){
			if($this->send_sql($sql)){
				$obj=pg_fetch_object($this->res);
				if(isset($obj))
					return ($obj);
				else
					return false;
			} else {
				return false;
			}
		}
		function get_array($sql){
			if($this->send_sql($sql)){
				while($row=pg_fetch_array($this->res))
					$obj[] = $row;
				if(isset($obj))
					return($obj);
				else
					return false;
			} else {
				return false;
			}
		}
		function num_rows(){
			return pg_num_rows($this->res);
		}
		function aff_rows(){
			return pg_affected_rows($this->res);
		}
	}
}
?>