<?php
if(!defined('FUNCTIONS_INCLUDE')){
	define('FUNCTIONS_INCLUDE',1);
	function make_safe($variable) {
		$variable = strip_gpc_slashes($variable);
	  $variable = addslashes(trim($variable));
	  return $variable;
	}
	//Strip slashes added by magic_quotes_gpc
	function strip_gpc_slashes ($input){
		if ( !get_magic_quotes_gpc() || ( !is_string($input) && !is_array($input) ) ){
			return $input;
		}
		if ( is_string($input) ){
			$output = stripslashes($input);
		} elseif ( is_array($input) ) {
			$output = array();
			foreach ($input as $key => $val) {
				$new_key = stripslashes($key);
				$new_val = strip_gpc_slashes($val);
				$output[$new_key] = $new_val;
			}
		}
		return $output;
	}
	function strhex($string) {
		$hex = '';
		$len = strlen($string);
		for ($i = 0; $i < $len; $i++) {
			$hex .= str_pad(dechex(ord($string[$i])), 2, 0, STR_PAD_LEFT);
		}
		return $hex;
	}
	function hexstr($hex){
		$string = '';
		$len = strlen($hex);
		for($i = 0;$i < $len;$i++){
			$string .= chr(hexdec($hex[$i].$hex[$i +1]));
			$i++;
		}
		return $string;
	}
}
?>