<?php echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>pureAdmin <?php echo PUREADMIN_VERSION; ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<style type="text/css">
		body {
			background-color:white;
			color:black;
			font-size:1em;
		}
		#main{
			width:800px;
			border:1px solid silver;
			margin:auto;
		}
		* html #main{
			text-align:center;
		}
		#header{
			background-image:url('./images/pure-ftpd.png');
			background-repeat:no-repeat;
			background-position:right top;
			height:45px;
		}
		#header h1{
			text-indent:1em;
		}
		* html #header{
			text-align:left;
		}
		#navigation {
			margin:0;
			padding:0.2em 0 0.2em 0;
			border-top:1px solid silver;
			border-bottom:1px solid silver;
			text-align:center;
		}
		#navigation ul{
			display:inline;
		}
		#navigation li{
			display:inline;
			margin:0;
			padding:0;
		}
		#navigation a {
			background-color:white;
			color:black;
			padding:0 2em 0 2em;
			text-decoration:none;
			font-size:0.9em;
		}
		#navigation a:hover{
			color:black;
			text-decoration:underline;
			font-size:0.9em;
			background-color:#DDD;
		}
		#content{
			text-align:left;
		}
		#content h2{
			margin:0 1em 1em 1em;
			font-size:1em;
			background-color:white;
			color:gray;
			text-indent:1.2em;
			text-decoration:none;
			border-bottom:1px dotted silver;
		}
		#content p {
			color:black;
			margin-left:1em;
			font-size:0.9em;
		}
		#ftp-user {
		
		}
		#ftp-user table{
			margin:20px;
			border:1px solid black;
			font-size:0.9em;
			width:758px;
		}
		#ftp-status table{
			margin:20px;
			border:1px solid black;
			font-size:0.6em;
			width:758px;
		}
		#ftp-status th{
			width:12.5%;
		}
		#ftp-status td{
			width:12.5%;
			text-align:left;
		}
		#error {
			width:50%;
			margin:1em 25% 0 25%;
			border:1px solid red;
			font-size:0.9em;
			font-weight:bold;
			padding:1em;
		}
		#error a{
			background-color:white;
			color:gray;
			text-decoration:none;
			font-weight:normal;
		}
		#error a:hover{
			background-color:white;
			color:gray;
			text-decoration:underline;
			font-weight:normal;
		}
		#notice {
			width:50%;
			margin:1em 25% 0 25%;
			border:1px solid green;
			font-size:0.9em;
			font-weight:bold;
			padding:1em;
		}
		#notice a{
			background-color:white;
			color:gray;
			text-decoration:none;
			font-weight:normal;
		}
		#notice a:hover{
			background-color:white;
			color:gray;
			text-decoration:underline;
			font-weight:normal;
		}
		.leftlabel{
			 float:left;
			 width:12em;
			 margin-right:1em;
			 text-indent:0.5em;
			 font-size:0.9em;
			 text-align:right;
		}
		.leftlabel2{
			margin-left:2em;
			margin-right:1em;
			text-indent:0.5em;
			font-size:0.9em;
			text-align:right;
		}
		.backlink {
			background-color:white;
			color:gray;
			text-decoration:none;
			font-size:0.9em;
			margin-left:2em;
		}
		.backlink:hover{
			background-color:white;
			color:gray;
			text-decoration:underline;
			font-size:0.9em;
			margin-left:2em;
		}
		#footer {
			font-size:0.8em;
			background-color:white;
			color:gray;
			clear:both;
			text-align:right;
		}
		#footer a{
			background-color:white;
			color:gray;
			text-decoration:none;
		}
		#footer a:hover{
			background-color:white;
			color:gray;
			text-decoration:underline;
		}
	</style>
</head>
<body>
<div id="main">
	<div id="header"><h1 style="color:gray;font-size:1.3em;">pureAdmin <?php echo PUREADMIN_VERSION; ?></h1></div>
	<div id="navigation"><ul><li><a href="index.php">Start</a></li><li><a href="user.php">Users</a></li><li><a href="stats.php">Statistics</a></li><li><a href="logs.php">Logfile</a></li></ul></div>